Subject: Re: [sipcore] #14: Section 7 item 4 is useless or misleading

From: Mary Barnes <[email-masked]>
Date: Tue, 12 Oct 2010 17:42:57 -0500

That should really read  - i.e., "the original AOR" as opposed to "the
first registered contact".  Also, per the response to #41,  I'm
proposing to add an index to "rc", so this would be changed to
incorporate that as well.

And, this might be useful in some situations - it's used in one of the
voicemail examples in the callflows document.

Mary.

On Mon, Aug 30, 2010 at 2:14 PM, sipcore issue tracker
<[email-masked]> wrote:
> #14: Section 7 item 4 is useless or misleading
> ------------------------------------+---------------------------------------
>  Reporter:  hkaplan@…               |       Owner:
>     Type:  defect                  |      Status:  new
>  Priority:  major                   |   Milestone:  milestone1
> Component:  rfc4244bis              |     Version:  2.0
>  Severity:  In WG Last Call         |    Keywords:
> ------------------------------------+---------------------------------------
>  Section 7 item 4 says:
>        4.  Entry prior to first entry with hi-target of "rc" in the
>  Request
>        received by a UAS - i.e., the first Registered Contact to which
>        the request was targeted.
>
>  The entry prior to the first "rc" is NOT the "Registered Contact" (that
>  would be the first "rc" entry, afaict).  But I'm also not sure what use
>  this has - if the request got diverted after that entry, or got forked to
>  multiple contacts, etc., then using it is useless.  More importantly, it's
>  dangerous to imply it's useful, because of those other possible
>  conditions.  I recommend removing this item from Section 7.
>
> --
> Ticket URL: <http://trac.tools.ietf.org/wg/sipcore/trac/ticket/14>
> sipcore <http://tools.ietf.org/sipcore/>
>
> _______________________________________________
> sipcore mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/sipcore
>